/*
 * This file is part of the QPxTool project.
 * Copyright (C) 2006 Gennady "ShultZ" Kozlov <qpxtool@mail.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */

#ifndef __savehtml_dialog
#define __savehtml_dialog

#include <qstring.h>
#include <qfiledialog.h>

#include <ui/SaveHTML_ui.h>

class save_html_dialog : public save_html_dialog_UI
{
	Q_OBJECT

public:
	save_html_dialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~save_html_dialog();

	void	setParms(int f_chk, int f_dt);
	int	selected();
	QString file_name();
    /*$PUBLIC_FUNCTIONS$*/
//public functions:
private:
	int	chk,dt; // Supported tests and inserted disc type
	int	tests;  // tests to save

	QString		res_name;
	QFileDialog	file_dialog;

private slots:
	void	savehtml_cancel();
	void	savehtml_save();
	void	savehtml_fselect();
};

#endif //__savehtml_dialog
